openni_wrapper::OpenNIException Class Reference
Module io

General exception class. More...

`#include <pcl/io/openni_camera/openni_exception.h>`

Inheritance diagram for openni_wrapper::OpenNIException:

## Public Member Functions

| OpenNIException (const std::string &function_name, const std::string &file_name, unsigned line_number, const std::string &message) throw ()
| Constructor. More...
| ~OpenNIException () throw ()
| virtual Destructor that never throws an exception More...
OpenNIException & | operator= (const OpenNIException &exception) throw ()
| Assignment operator to allow copying the message of another exception variable. More...
const char * | what () const override throw ()
| virtual method, derived from std::exception More...
const std::string & | getFunctionName () const throw ()
const std::string & | getFileName () const throw ()
unsigned | getLineNumber () const throw ()

## Protected Attributes

std::string | function_name_
std::string | file_name_
unsigned | line_number_
std::string | message_
std::string | message_long_

## Detailed Description

General exception class.

Author
  Suat Gedikli

Date
  02.january 2011

Definition at line 67 of file openni_exception.h.

## Constructor & Destructor Documentation

## OpenNIException()

openni_wrapper::OpenNIException::OpenNIException | ( | const std::string & | function_name,
|  | const std::string & | file_name,
|  | unsigned | line_number,
|  | const std::string & | message
| ) |  |
throw | ( |
| ) |  |

Constructor.

Note
  use the MACRO THROW_OPENNI_EXCEPTION, that takes care about the parameters function_name, file_name and line_number

Parameters

  [in] | function_name | the function in which this exception was created.
  [in] | file_name | the file name in which this exception was created.
  [in] | line_number | the line number where this exception was created.
  [in] | message | the message of the exception

## ~OpenNIException()

openni_wrapper::OpenNIException::~OpenNIException | ( |  | ) |
throw | ( |
| ) |  |

virtual Destructor that never throws an exception

## Member Function Documentation

## getFileName()

const std::string& openni_wrapper::OpenNIException::getFileName | ( |  | ) | const
throw | ( |
| ) |  |

Returns
  the filename in which the exception was created.

## getFunctionName()

const std::string& openni_wrapper::OpenNIException::getFunctionName | ( |  | ) | const
throw | ( |
| ) |  |

Returns
  the function name in which the exception was created.

## getLineNumber()

unsigned openni_wrapper::OpenNIException::getLineNumber | ( |  | ) | const
throw | ( |
| ) |  |

Returns
  the line number where the exception was created.

## operator=()

OpenNIException& openni_wrapper::OpenNIException::operator= | ( | const OpenNIException & | exception | ) |
throw | ( |
| ) |  |

Assignment operator to allow copying the message of another exception variable.

Parameters

  [in] | exception | left hand side

Returns

## what()

const char* openni_wrapper::OpenNIException::what | ( |  | ) | const
throw | ( |
| ) |  |

override

virtual method, derived from std::exception

Returns
  the message of the exception.

## Member Data Documentation

## file_name_

std::string openni_wrapper::OpenNIException::file_name_

protected

Definition at line 114 of file openni_exception.h.

## function_name_

std::string openni_wrapper::OpenNIException::function_name_

protected

Definition at line 113 of file openni_exception.h.

## line_number_

unsigned openni_wrapper::OpenNIException::line_number_

protected

Definition at line 115 of file openni_exception.h.

## message_

std::string openni_wrapper::OpenNIException::message_

protected

Definition at line 116 of file openni_exception.h.

## message_long_

std::string openni_wrapper::OpenNIException::message_long_

protected

Definition at line 117 of file openni_exception.h.

The documentation for this class was generated from the following file:

- pcl/io/openni_camera/openni_exception.h